> ## Documentation Index
> Fetch the complete documentation index at: https://mwithheart.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction Status

> This endpoint allows you to check the status of a transaction.



## OpenAPI

````yaml api-reference/openapi.json post /api/cps/v1/getTransactionStatus
openapi: 3.0.0
info:
  title: RexPay API Documentation
  description: An unofficial documentation for using the RexPay API.
  version: 1.0.0
servers:
  - url: https://charge-payment.com/v1
    description: Production server
security:
  - basicAuth: []
tags:
  - name: Charge
    description: Operations related to charging users through different payment options
paths:
  /api/cps/v1/getTransactionStatus:
    post:
      summary: Get Transaction Status
      description: This endpoint allows you to check the status of a transaction.
      operationId: getTransactionStatus
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - transactionReference
              properties:
                transactionReference:
                  type: string
                  example: sm23oyr1122
      responses:
        '200':
          description: Transaction Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  amount:
                    type: string
                    example: 230,000.06
                  paymentReference:
                    type: string
                    example: sm23oyr1122
                  transactionDate:
                    type: string
                    format: date
                    example: 06/10/2023
                  fees:
                    type: number
                    example: 0.06
                  currency:
                    type: string
                    example: NGN
                  responseCode:
                    type: integer
                    example: 0
                  responseDescription:
                    type: string
                    example: Transaction Successful
        '400':
          description: Bad request - Error in the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  responseMessage:
                    type: string
                    example: Unauthorised access to resource
                  responseCode:
                    type: integer
                    example: '01'
                  responseStatus:
                    type: string
                    example: FAILED
        '403':
          description: Forbidden - Access to this request is forbidden.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                  error:
                    type: string
                    example: Access to this resource is forbidden.
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````